Loading...
Searching...
No Matches
XrdOucArgsXO Class Reference
Collaboration diagram for XrdOucArgsXO:

## Public Member Functions

| XrdOucArgsXO (XrdOucArgsXO *nP, const char *optw, int minl, const char *optm)
| ~XrdOucArgsXO ()
char * | operator% (char *optarg)
int | operator== (char *optarg)

## Detailed Description

Definition at line 43 of file XrdOucArgs.cc.

## Constructor & Destructor Documentation

## XrdOucArgsXO()

XrdOucArgsXO::XrdOucArgsXO | ( | XrdOucArgsXO * | nP,
|  | const char * | optw,
|  | int | minl,
|  | const char * | optm )

inline

Definition at line 62 of file XrdOucArgs.cc.

{Optword = strdup(optw);
Optminl = minl; Optmaxl = strlen(optw);
Optvalu[0] = optm[0];
Optvalu[1] = (optm[0] ? optm[1] : '\0');
Optnext = nP;
}

References XrdOucArgsXO().

Referenced by XrdOucArgsXO(), and operator%().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~XrdOucArgsXO()

XrdOucArgsXO::~XrdOucArgsXO | ( |  | ) |

inline

Definition at line 70 of file XrdOucArgs.cc.

{if (Optword) free(Optword);
if (Optnext) delete Optnext;
}

## Member Function Documentation

## operator%()

char * XrdOucArgsXO::operator% | ( | char * | optarg | ) |

inline

Definition at line 53 of file XrdOucArgs.cc.

{int i = strlen(optarg);
XrdOucArgsXO *p = this;
do if (i <= p->Optmaxl && i >= p->Optminl &&
!strncmp((const char *)p->Optword, optarg, i)) return p->Optvalu;
while((p = p->Optnext));
return 0;
}
XrdOucArgsXO::XrdOucArgsXO
XrdOucArgsXO(XrdOucArgsXO *nP, const char *optw, int minl, const char *optm)
Definition XrdOucArgs.cc:62

References XrdOucArgsXO().

Here is the call graph for this function:

## operator==()

int XrdOucArgsXO::operator== | ( | char * | optarg | ) |

inline

Definition at line 47 of file XrdOucArgs.cc.

{int i = strlen(optarg);
return i <= Optmaxl && i >= Optminl &&
!strncmp((const char *)Optword, optarg, i);
}

The documentation for this class was generated from the following file:

- XrdOucArgs.cc